Bug 1128380 - Failure when installing on dual stacked system with external ca
Summary: Failure when installing on dual stacked system with external ca
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Martin Kosek
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-09 20:01 UTC by Erinn Looney-Triggs
Modified: 2015-03-05 10:13 UTC (History)
5 users (show)

Fixed In Version: ipa-4.1.0-8.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 10:13:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0442 normal SHIPPED_LIVE Moderate: ipa security, bug fix, and enhancement update 2015-03-05 14:50:39 UTC

Description Erinn Looney-Triggs 2014-08-09 20:01:50 UTC
Description of problem:
When a system has more than one IP address as in the case of a dual stacked system, and when using an external CA, the initial ipa-server-install will go fine as it prompts you for the IP address to use. However, when attempting to finish the install using the ipa-server-install --external_cert_file=/path/to/signed_certificate --external_ca_file=/path/to/external_ca_certificate

the installer will fail with: 
The server hostname resolves to more than one address:
  IPv6 Address
  IPv4 Address
Please use --ip-address option to specify the address

However, the installer does not appear to respect the --ip-address option at this point as attempting to add that flag results in the exact same error again.


Version-Release number of selected component (if applicable):
ipa-server-3.3.3-28.el7.x86_64

Comment 2 Martin Kosek 2014-08-11 13:47:17 UTC
Thanks for the bug report. It looks very related to Bug 1125415 which is now scheduled for next upstream release and which we would like to have in next RHEL minor version.

Until this is fixed, would you be able to have just IPv4 address on your IPA server? You should be able to install them. Would this work as a temporary workaround?

Comment 3 Erinn Looney-Triggs 2014-08-11 17:11:40 UTC
Well I was able to work around the issue by using the --ip-address=<IPv6 address> on the initial run through, and then the second ip-server-install command went through.

I think this bug is related in spirit, but I think this is also a bug in the second run of ipa-server-install where in order to work around this it should accept the --ip-address flag, or the first run should set a variable somewhere that the second run can pick up.

-Erinn

Comment 4 Martin Kosek 2014-08-12 08:24:49 UTC
Right. I will link this Bugzilla to upstream ticket
https://fedorahosted.org/freeipa/ticket/3575
which is being worked on right now to make sure this use case is covered as well.

Comment 6 Rob Crittenden 2014-08-18 13:23:42 UTC
Note that this is more about ignoring options passed to the second installer run. The reason is that for some things it is too late to change things once the first run is done because we've already started installing some things. It may be that we can somehow mark some options as being able to override on the second run, but it is probably safer/better to simply not allow it.

This could be annoying though, as getting a CSR signed by an external CA can be hard enough and having to do it multiple times due to having to start over from scratch even more so.

Comment 7 Martin Kosek 2014-08-18 16:04:48 UTC
David, please see advise above when implementing this one.

Comment 10 Martin Kosek 2014-11-21 07:54:13 UTC
Regression was found:

https://fedorahosted.org/freeipa/ticket/4747

Comment 13 Scott Poore 2015-01-21 02:10:40 UTC
Did this bug only affect IPv6 interfaces?

I've tried reproducing the issue on RHEL7.0 with ipa 3.3.3 on a VM.  I set up a second virtual network on the host and added a second interface to the guest.

[root@rhel7-3 RootCA]# ip addr
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 52:54:00:b8:e1:dd brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.73/24 brd 192.168.122.255 scope global eth0
       valid_lft forever preferred_lft forever
    inet6 fe80::5054:ff:feb8:e1dd/64 scope link 
       valid_lft forever preferred_lft forever
3: eth1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 52:54:00:b4:bc:ec brd ff:ff:ff:ff:ff:ff
    inet 192.168.100.73/24 brd 192.168.100.255 scope global eth1
       valid_lft forever preferred_lft forever
    inet6 fe80::5054:ff:feb4:bcec/64 scope link 
       valid_lft forever preferred_lft forever

[root@rhel7-3 RootCA]# netstat -rn
Kernel IP routing table
Destination     Gateway         Genmask         Flags   MSS Window  irtt Iface
0.0.0.0         192.168.122.1   0.0.0.0         UG        0 0          0 eth0
192.168.100.0   0.0.0.0         255.255.255.0   U         0 0          0 eth1
192.168.122.0   0.0.0.0         255.255.255.0   U         0 0          0 eth0


I don't see the specified error from the original description though.  The first time I tried, it installed IPA normally.  But, then I realized I had an /etc/hosts entry.  I uninstalled and reinstalled without that and got this:

[root@rhel7-3 RootCA]# ipa-server-install --setup-dns --forwarder=192.168.122.1     -r EXAMPLE.TEST -a Secret123 -p Secret123     --external_cert_file=/root/ipa.crt     --external_ca_file=/root/ipacacert.asc -U

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)
  * Configure DNS (bind)

Warning: skipping DNS resolution of host rhel7-3.example.com
Using reverse zone 122.168.192.in-addr.arpa.

The IPA Master Server will be configured with:
Hostname:      rhel7-3.example.com
IP address:    192.168.122.73
Domain name:   example.com
Realm name:    EXAMPLE.COM

BIND DNS server will be configured to serve IPA domain with:
Forwarders:    192.168.122.1
Reverse zone:  122.168.192.in-addr.arpa.

Configuring certificate server (pki-tomcatd): Estimated time 3 minutes 30 seconds
  [1/22]: creating certificate server user
  [2/22]: configuring certificate server instance
  [3/22]: stopping certificate server instance to update CS.cfg
  [4/22]: disabling nonces
  [5/22]: set up CRL publishing
  [6/22]: starting certificate server instance
  [7/22]: creating RA agent certificate database
  [8/22]: importing CA chain to RA certificate database
  [9/22]: fixing RA database permissions
  [10/22]: setting up signing cert profile
  [11/22]: set certificate subject base
  [12/22]: enabling Subject Key Identifier
  [13/22]: enabling CRL and OCSP extensions for certificates
  [14/22]: setting audit signing renewal to 2 years
  [15/22]: configuring certificate server to start on boot
  [16/22]: restarting certificate server
  [17/22]: requesting RA certificate from CA
Unexpected error - see /var/log/ipaserver-install.log for details:
IndexError: list index out of range


So, my real questions:

1. Can I reproduce on KVM guest with two virtual networks?

2. Can I reproduce with IPv4 only or do I need to use IPv6 instead?

Thanks,
Scott

Comment 14 Martin Kosek 2015-01-21 11:41:20 UTC
Jan, do you know?

Comment 15 Jan Cholasta 2015-01-21 11:44:17 UTC
I have no idea. David?

Comment 16 David Kupka 2015-01-21 16:11:41 UTC
To answer your questions:
1. You should be able. When I was working on this I used kernel module "dummy" to create virtual interface. 
2. Yes, multiple IPv4 addresses are enough.

Unfortunately I'm unable to reproduce the behaviour you described. Could you please provide all steps you've done? Or at least /var/log/ipaserver-install.log?

Comment 17 Scott Poore 2015-01-22 01:30:30 UTC
FYI, I'd originally misread this bug as dual-homed...not dual stacked.  Not sure if that makes any difference with this bug or not but, if it requires specific IPv6 setup I may need more info to setup test.

* From virt-manager, I created a new NAT virtual network.
* Booted up a RHEL7.0 VM and added /etc/sysconfig/network-scripts/ifcfg-eth1 configured for new network.
* Note that my KVM host is RHEL6 running dnsmasq with the hostname in /etc/hosts for resolution.
* Checking network as is:

[root@rhel7-4 network-scripts]# ip addr
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 52:54:00:f9:90:6e brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.74/24 brd 192.168.122.255 scope global eth0
       valid_lft forever preferred_lft forever
    inet6 fe80::5054:ff:fef9:906e/64 scope link 
       valid_lft forever preferred_lft forever
3: eth1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 52:54:00:cc:1c:c7 brd ff:ff:ff:ff:ff:ff
    inet 192.168.100.74/24 brd 192.168.100.255 scope global eth1
       valid_lft forever preferred_lft forever
    inet6 fe80::5054:ff:fecc:1cc7/64 scope link 
       valid_lft forever preferred_lft forever

[root@rhel7-4 network-scripts]# ping -I eth1 192.168.100.1
PING 192.168.100.1 (192.168.100.1) from 192.168.100.74 eth1: 56(84) bytes of data.
64 bytes from 192.168.100.1: icmp_seq=1 ttl=64 time=0.094 ms
64 bytes from 192.168.100.1: icmp_seq=2 ttl=64 time=0.263 ms
^C
--- 192.168.100.1 ping statistics ---
2 packets transmitted, 2 received, 0% packet loss, time 999ms
rtt min/avg/max/mdev = 0.094/0.178/0.263/0.085 ms

[root@rhel7-4 network-scripts]# cat /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6


* Do first round of IPA setup:

[root@rhel7-4 ~]# ipa-server-install --setup-dns --forwarder=192.168.122.1 -r EXAMPLE.COM -a Secret123 -p Secret123 --external-ca -U

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)
  * Configure DNS (bind)

Warning: skipping DNS resolution of host rhel7-4.example.com
The domain name has been determined based on the host name.

Using reverse zone 122.168.192.in-addr.arpa.

The IPA Master Server will be configured with:
Hostname:      rhel7-4.example.com
IP address:    192.168.122.74
Domain name:   example.com
Realm name:    EXAMPLE.COM

BIND DNS server will be configured to serve IPA domain with:
Forwarders:    192.168.122.1
Reverse zone:  122.168.192.in-addr.arpa.

... truncated normal output...

Configuring certificate server (pki-tomcatd): Estimated time 3 minutes 30 seconds
  [1/6]: creating certificate server user
  [2/6]: configuring certificate server instance
The next step is to get /root/ipa.csr signed by your CA and re-run ipa-server-install as:
ipa-server-install --external_cert_file=/path/to/signed_certificate --external_ca_file=/path/to/external_ca_certificate


* Setup local NSSDB RootCA to sign CSR

CADIR=/root/RootCA
mkdir $CADIR
cd $CADIR
rm  -f *
echo Secret123 > $CADIR/mypass1
certutil -N -d $CADIR -f $CADIR/mypass1

SERNUM=$RANDOM

SERNUM=$(( SERNUM += 1 ))
echo -e "y\n10\ny\n" | \
certutil -S -d $CADIR \
    -n RootCA \
    -s "CN=MyRootCA, O=fakerealm1" \
    -x \
    -t "CTu,CTu,CTu" \
    -g 2048 \
    -m $SERNUM\
    -v 60 \
    -z /etc/group \
    -2 \
    --keyUsage certSigning \
    --nsCertType sslCA,smimeCA,objectSigningCA \
    -f $CADIR/mypass1

SERNUM=$(( SERNUM += 1 ))
echo -e "y\n10\ny\n" | \
certutil -C -d $CADIR \
    -c RootCA \
    -m $SERNUM \
    -v 60 \
    -2 \
    --keyUsage digitalSignature,nonRepudiation,certSigning \
    --nsCertType sslCA,smimeCA,objectSigningCA \
    -i /root/ipa.csr \
    -o /root/ipa.crt \
    -f $CADIR/mypass1 \
    -a

certutil -L -d $CADIR -n "RootCA" -a >> /root/ipacacert.asc

[root@rhel7-4 ~]# ipa-server-install --setup-dns --forwarder=192.168.122.1     -r EXAMPLE.COM -a Secret123 -p Secret123     --external_cert_file=/root/ipa.crt     --external_ca_file=/root/ipacacert.asc -U
The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)
  * Configure DNS (bind)

Warning: skipping DNS resolution of host rhel7-4.example.com
Using reverse zone 122.168.192.in-addr.arpa.

The IPA Master Server will be configured with:
Hostname:      rhel7-4.example.com
IP address:    192.168.122.74
Domain name:   example.com
Realm name:    EXAMPLE.COM

BIND DNS server will be configured to serve IPA domain with:
Forwarders:    192.168.122.1
Reverse zone:  122.168.192.in-addr.arpa.

.... truncated normal output ....


So, that worked with two different IPv4 interfaces...

* Trying to add a new IPv6 address to eth0 to see what happens there.  (I did not do this yesterday so I think this step is irrelevant to my failure).

[root@rhel7-4 ~]# ip address add 2001:db8:1:2::1 dev eth0
[root@rhel7-4 ~]# ip address show eth0
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 52:54:00:f9:90:6e brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.74/24 brd 192.168.122.255 scope global eth0
       valid_lft forever preferred_lft forever
    inet6 2001:db8:1:2::1/128 scope global 
       valid_lft forever preferred_lft forever
    inet6 fe80::5054:ff:fef9:906e/64 scope link 
       valid_lft forever preferred_lft forever


* Uninstall IPA and remove the NSSDB Root CA and cleanup /etc/hosts

[root@rhel7-4 ~]# ipa-server-install --uninstall -U
Shutting down all IPA services
Removing IPA client configuration
Unconfiguring ntpd
Unconfiguring CA
Unconfiguring named
Unconfiguring web server
Unconfiguring krb5kdc
Unconfiguring kadmin
Unconfiguring directory server
Unconfiguring ipa_memcached
Unconfiguring ipa-otpd
[root@rhel7-4 ~]# rm -rf /root/RootCA/

[root@rhel7-4 ~]# cat /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
192.168.122.74	rhel7-4.example.com rhel7-4
[root@rhel7-4 ~]# vi /etc/hosts
[root@rhel7-4 ~]# hostname -i
192.168.122.74


* Run first phase IPA install the second time:

[root@rhel7-4 ~]# ipa-server-install --setup-dns --forwarder=192.168.122.1 -r EXAMPLE.COM -a Secret123 -p Secret123 --external-ca -U

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)
  * Configure DNS (bind)

Warning: skipping DNS resolution of host rhel7-4.example.com
The domain name has been determined based on the host name.

Using reverse zone 122.168.192.in-addr.arpa.

The IPA Master Server will be configured with:
Hostname:      rhel7-4.example.com
IP address:    192.168.122.74
Domain name:   example.com
Realm name:    EXAMPLE.COM

BIND DNS server will be configured to serve IPA domain with:
Forwarders:    192.168.122.1
Reverse zone:  122.168.192.in-addr.arpa.

... normal output truncated....

  [1/6]: creating certificate server user
  [2/6]: configuring certificate server instance
The next step is to get /root/ipa.csr signed by your CA and re-run ipa-server-install as:
ipa-server-install --external_cert_file=/path/to/signed_certificate --external_ca_file=/path/to/external_ca_certificate


* Setup local NSSDB Root CA and sign csr exactly the same as above.

* Attempt second install:

[root@rhel7-4 RootCA]# ipa-server-install --setup-dns --forwarder=192.168.122.1 \
>     -r EXAMPLE.COM -a Secret123 -p Secret123 --external_cert_file=/root/ipa.crt \
>     --external_ca_file=/root/ipacacert.asc -U

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)
  * Configure DNS (bind)

Warning: skipping DNS resolution of host rhel7-4.example.com
Using reverse zone 122.168.192.in-addr.arpa.

The IPA Master Server will be configured with:
Hostname:      rhel7-4.example.com
IP address:    192.168.122.74
Domain name:   example.com
Realm name:    EXAMPLE.COM

BIND DNS server will be configured to serve IPA domain with:
Forwarders:    192.168.122.1
Reverse zone:  122.168.192.in-addr.arpa.

Configuring certificate server (pki-tomcatd): Estimated time 3 minutes 30 seconds
  [1/22]: creating certificate server user
  [2/22]: configuring certificate server instance
  [3/22]: stopping certificate server instance to update CS.cfg
  [4/22]: disabling nonces
  [5/22]: set up CRL publishing
  [6/22]: starting certificate server instance
  [7/22]: creating RA agent certificate database
  [8/22]: importing CA chain to RA certificate database
  [9/22]: fixing RA database permissions
  [10/22]: setting up signing cert profile
  [11/22]: set certificate subject base
  [12/22]: enabling Subject Key Identifier
  [13/22]: enabling CRL and OCSP extensions for certificates
  [14/22]: setting audit signing renewal to 2 years
  [15/22]: configuring certificate server to start on boot
  [16/22]: restarting certificate server
  [17/22]: requesting RA certificate from CA
Unexpected error - see /var/log/ipaserver-install.log for details:
IndexError: list index out of range

I'll upload the ipaserver-install.log too.

Comment 18 Scott Poore 2015-01-22 02:27:49 UTC
David,

Thanks for looking into this.  I think you can skip it for now though.  I was able to reproduce this by adding an IPv6 entry for the hostname to /etc/hosts so dnsmasq picked that up too.

Then I get expected failure when trying to use --ip-address the second time through:

[root@rhel7-5 ~]# ipa-server-install --external_cert_file=/root/ipa.crt --external_ca_file=/root/ipacacert.asc --ip-address=192.168.122.75 -a Secret123 -p Secret123

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)
  * Configure DNS (bind)

Warning: skipping DNS resolution of host rhel7-5.example.com
The server hostname resolves to more than one address:
  192.168.122.75
  fe80::5054:ff:fe64:26ab
Please use --ip-address option to specify the address


Thanks again,
Scott

Comment 19 Scott Poore 2015-01-22 03:46:54 UTC
Reproducing the problem again for verification:

[root@rhel7-2 ~]# ip addr
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 52:54:00:d5:58:5b brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.72/24 brd 192.168.122.255 scope global eth0
       valid_lft forever preferred_lft forever
    inet6 fe80::5054:ff:fed5:585b/64 scope link 
       valid_lft forever preferred_lft forever
[root@rhel7-2 ~]# hostname -i
192.168.122.72 fe80::5054:ff:fed5:585b
[root@rhel7-2 ~]# dig +short rhel7-2.example.com a
192.168.122.72
[root@rhel7-2 ~]# dig +short rhel7-2.example.com aaaa
fe80::5054:ff:fed5:585b
[root@rhel7-2 ~]# hostname
rhel7-2.example.com
[root@rhel7-2 ~]# ip addr show
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 52:54:00:d5:58:5b brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.72/24 brd 192.168.122.255 scope global eth0
       valid_lft forever preferred_lft forever
    inet6 fe80::5054:ff:fed5:585b/64 scope link 
       valid_lft forever preferred_lft forever
[root@rhel7-2 ~]# ipa-server-install --setup-dns --forwarder=192.168.122.1 -r EXAMPLE.COM -a Secret123 -p Secret123 --external-ca

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)
  * Configure DNS (bind)

To accept the default shown in brackets, press the Enter key.

Existing BIND configuration detected, overwrite? [no]: yes
Enter the fully qualified domain name of the computer
on which you're setting up server software. Using the form
<hostname>.<domainname>
Example: master.example.com.


Server host name [rhel7-2.example.com]: 

Warning: skipping DNS resolution of host rhel7-2.example.com
The domain name has been determined based on the host name.

Please confirm the domain name [example.com]: 

The server hostname resolves to more than one address:
  192.168.122.72
  fe80::5054:ff:fed5:585b
Please provide the IP address to be used for this host name: 192.168.122.72
Do you want to configure the reverse zone? [yes]: 
Please specify the reverse zone name [122.168.192.in-addr.arpa.]: 
Using reverse zone 122.168.192.in-addr.arpa.

The IPA Master Server will be configured with:
Hostname:      rhel7-2.example.com
IP address:    192.168.122.72
Domain name:   example.com
Realm name:    EXAMPLE.COM

BIND DNS server will be configured to serve IPA domain with:
Forwarders:    192.168.122.1
Reverse zone:  122.168.192.in-addr.arpa.

Continue to configure the system with these values? [no]: yes

The following operations may take some minutes to complete.
Please wait until the prompt is returned.

Configuring NTP daemon (ntpd)
  [1/4]: stopping ntpd
  [2/4]: writing configuration
  [3/4]: configuring ntpd to start on boot
  [4/4]: starting ntpd
Done configuring NTP daemon (ntpd).
Configuring directory server (dirsrv): Estimated time 1 minute
  [1/38]: creating directory server user
  [2/38]: creating directory server instance
  [3/38]: adding default schema
  [4/38]: enabling memberof plugin
  [5/38]: enabling winsync plugin
  [6/38]: configuring replication version plugin
  [7/38]: enabling IPA enrollment plugin
  [8/38]: enabling ldapi
  [9/38]: configuring uniqueness plugin
  [10/38]: configuring uuid plugin
  [11/38]: configuring modrdn plugin
  [12/38]: configuring DNS plugin
  [13/38]: enabling entryUSN plugin
  [14/38]: configuring lockout plugin
  [15/38]: creating indices
  [16/38]: enabling referential integrity plugin
  [17/38]: configuring certmap.conf
  [18/38]: configure autobind for root
  [19/38]: configure new location for managed entries
  [20/38]: configure dirsrv ccache
  [21/38]: enable SASL mapping fallback
  [22/38]: restarting directory server
  [23/38]: adding default layout
  [24/38]: adding delegation layout
  [25/38]: creating container for managed entries
  [26/38]: configuring user private groups
  [27/38]: configuring netgroups from hostgroups
  [28/38]: creating default Sudo bind user
  [29/38]: creating default Auto Member layout
  [30/38]: adding range check plugin
  [31/38]: creating default HBAC rule allow_all
  [32/38]: initializing group membership
  [33/38]: adding master entry
  [34/38]: configuring Posix uid/gid generation
  [35/38]: adding replication acis
  [36/38]: enabling compatibility plugin
  [37/38]: tuning directory server
  [38/38]: configuring directory to start on boot
Done configuring directory server (dirsrv).
Configuring certificate server (pki-tomcatd): Estimated time 3 minutes 30 seconds
  [1/6]: creating certificate server user
  [2/6]: configuring certificate server instance
The next step is to get /root/ipa.csr signed by your CA and re-run ipa-server-install as:
ipa-server-install --external_cert_file=/path/to/signed_certificate --external_ca_file=/path/to/external_ca_certificate
[root@rhel7-2 ~]# CADIR=/root/RootCA
[root@rhel7-2 ~]# mkdir $CADIR
[root@rhel7-2 ~]# cd $CADIR
[root@rhel7-2 RootCA]# rm  -f *
[root@rhel7-2 RootCA]# echo Secret123 > $CADIR/mypass1
[root@rhel7-2 RootCA]# certutil -N -d $CADIR -f $CADIR/mypass1
[root@rhel7-2 RootCA]# 
[root@rhel7-2 RootCA]# SERNUM=$RANDOM
[root@rhel7-2 RootCA]# 
[root@rhel7-2 RootCA]# SERNUM=$(( SERNUM += 1 ))
[root@rhel7-2 RootCA]# echo -e "y\n10\ny\n" | \
> certutil -S -d $CADIR \
>     -n RootCA \
>     -s "CN=MyRootCA, O=fakerealm1" \
>     -x \
>     -t "CTu,CTu,CTu" \
>     -g 2048 \
>     -m $SERNUM\
>     -v 60 \
>     -z /etc/group \
>     -2 \
>     --keyUsage certSigning \
>     --nsCertType sslCA,smimeCA,objectSigningCA \
>     -f $CADIR/mypass1


Generating key.  This may take a few moments...

Is this a CA certificate [y/N]?
Enter the path length constraint, enter to skip [<0 for unlimited path]: > Is this a critical extension [y/N]?
Notice: Trust flag u is set automatically if the private key is present.
[root@rhel7-2 RootCA]# 
[root@rhel7-2 RootCA]# SERNUM=$(( SERNUM += 1 ))
[root@rhel7-2 RootCA]# echo -e "y\n10\ny\n" | \
> certutil -C -d $CADIR \
>     -c RootCA \
>     -m $SERNUM \
>     -v 60 \
>     -2 \
>     --keyUsage digitalSignature,nonRepudiation,certSigning \
>     --nsCertType sslCA,smimeCA,objectSigningCA \
>     -i /root/ipa.csr \
>     -o /root/ipa.crt \
>     -f $CADIR/mypass1 \
>     -a
Is this a CA certificate [y/N]?
Enter the path length constraint, enter to skip [<0 for unlimited path]: > Is this a critical extension [y/N]?
[root@rhel7-2 RootCA]# 
[root@rhel7-2 RootCA]# certutil -L -d $CADIR -n "RootCA" -a >> /root/ipacacert.asc
[root@rhel7-2 RootCA]# 
[root@rhel7-2 RootCA]# cd  /root
[root@rhel7-2 ~]# ipa-server-install -a Secret123 -p Secret123 -r EXAMPLE.COM --external_cert_file=/root/ipa.crt --external_ca_file=/root/ipacacert.asc -U

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)
  * Configure DNS (bind)

Warning: skipping DNS resolution of host rhel7-2.example.com
The server hostname resolves to more than one address:
  192.168.122.72
  fe80::5054:ff:fed5:585b
Please use --ip-address option to specify the address

Comment 20 Scott Poore 2015-01-22 03:52:56 UTC
Verified.

Version ::

ipa-server-4.1.0-16.el7.x86_64

Results ::

First I setup a RHEL7.1 KVM guest on a host with dnsmasq default setup on RHEL6.  The I added added the IPv6 address to /etc/hosts entry for the guest and did a kill -HUP on dnsmasq processes.

You'll notice the first round of ipa-server-install selects the IP address to use for install.

[root@rhel7-1 ~]# ip addr show
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 52:54:00:a9:90:4a brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.71/24 brd 192.168.122.255 scope global eth0
       valid_lft forever preferred_lft forever
    inet6 fe80::5054:ff:fea9:904a/64 scope link 
       valid_lft forever preferred_lft forever
[root@rhel7-1 ~]# cat /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
[root@rhel7-1 ~]# hostname -i
192.168.122.71 fe80::5054:ff:fea9:904a
[root@rhel7-1 ~]# ipa-server-install --setup-dns --forwarder=192.168.122.1 -r EXAMPLE.COM -a Secret123 -p Secret123 --external-ca

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)
  * Configure DNS (bind)

To accept the default shown in brackets, press the Enter key.

Existing BIND configuration detected, overwrite? [no]: yes
Enter the fully qualified domain name of the computer
on which you're setting up server software. Using the form
<hostname>.<domainname>
Example: master.example.com.


Server host name [rhel7-1.example.com]: 

Warning: skipping DNS resolution of host rhel7-1.example.com
The domain name has been determined based on the host name.

Please confirm the domain name [example.com]: 

Adding [192.168.122.71 rhel7-1.example.com] to your /etc/hosts file
Checking forwarders, please wait ...
WARNING: DNS forwarder 192.168.122.1 does not return DNSSEC signatures in answers
Please fix forwarder configuration to enable DNSSEC support.
(For BIND 9 add directive "dnssec-enable yes;" to "options {}")
WARNING: DNSSEC validation will be disabled
Do you want to configure the reverse zone? [yes]: 
Please specify the reverse zone name [122.168.192.in-addr.arpa.]: 
Using reverse zone(s) 122.168.192.in-addr.arpa.

The IPA Master Server will be configured with:
Hostname:       rhel7-1.example.com
IP address(es): 192.168.122.71
Domain name:    example.com
Realm name:     EXAMPLE.COM

BIND DNS server will be configured to serve IPA domain with:
Forwarders:    192.168.122.1
Reverse zone(s):  122.168.192.in-addr.arpa.

Continue to configure the system with these values? [no]: yes

The following operations may take some minutes to complete.
Please wait until the prompt is returned.

Configuring NTP daemon (ntpd)
  [1/4]: stopping ntpd
  [2/4]: writing configuration
  [3/4]: configuring ntpd to start on boot
  [4/4]: starting ntpd
Done configuring NTP daemon (ntpd).
Configuring directory server (dirsrv): Estimated time 1 minute
  [1/38]: creating directory server user
  [2/38]: creating directory server instance
  [3/38]: adding default schema
  [4/38]: enabling memberof plugin
  [5/38]: enabling winsync plugin
  [6/38]: configuring replication version plugin
  [7/38]: enabling IPA enrollment plugin
  [8/38]: enabling ldapi
  [9/38]: configuring uniqueness plugin
  [10/38]: configuring uuid plugin
  [11/38]: configuring modrdn plugin
  [12/38]: configuring DNS plugin
  [13/38]: enabling entryUSN plugin
  [14/38]: configuring lockout plugin
  [15/38]: creating indices
  [16/38]: enabling referential integrity plugin
  [17/38]: configuring certmap.conf
  [18/38]: configure autobind for root
  [19/38]: configure new location for managed entries
  [20/38]: configure dirsrv ccache
  [21/38]: enable SASL mapping fallback
  [22/38]: restarting directory server
  [23/38]: adding default layout
  [24/38]: adding delegation layout
  [25/38]: creating container for managed entries
  [26/38]: configuring user private groups
  [27/38]: configuring netgroups from hostgroups
  [28/38]: creating default Sudo bind user
  [29/38]: creating default Auto Member layout
  [30/38]: adding range check plugin
  [31/38]: creating default HBAC rule allow_all
  [32/38]: initializing group membership
  [33/38]: adding master entry
  [34/38]: configuring Posix uid/gid generation
  [35/38]: adding replication acis
  [36/38]: enabling compatibility plugin
  [37/38]: tuning directory server
  [38/38]: configuring directory to start on boot
Done configuring directory server (dirsrv).
Configuring certificate server (pki-tomcatd): Estimated time 3 minutes 30 seconds
  [1/8]: creating certificate server user
  [2/8]: configuring certificate server instance
The next step is to get /root/ipa.csr signed by your CA and re-run /usr/sbin/ipa-server-install as:
/usr/sbin/ipa-server-install --external-cert-file=/path/to/signed_certificate --external-cert-file=/path/to/external_ca_certificate
[root@rhel7-1 ~]# CADIR=/root/RootCA
[root@rhel7-1 ~]# mkdir $CADIR
[root@rhel7-1 ~]# cd $CADIR
[root@rhel7-1 RootCA]# rm  -f *
[root@rhel7-1 RootCA]# echo Secret123 > $CADIR/mypass1
[root@rhel7-1 RootCA]# certutil -N -d $CADIR -f $CADIR/mypass1
[root@rhel7-1 RootCA]# 
[root@rhel7-1 RootCA]# SERNUM=$RANDOM
[root@rhel7-1 RootCA]# 
[root@rhel7-1 RootCA]# SERNUM=$(( SERNUM += 1 ))
[root@rhel7-1 RootCA]# echo -e "y\n10\ny\n" | \
> certutil -S -d $CADIR \
>     -n RootCA \
>     -s "CN=MyRootCA, O=fakerealm1" \
>     -x \
>     -t "CTu,CTu,CTu" \
>     -g 2048 \
>     -m $SERNUM\
>     -v 60 \
>     -z /etc/group \
>     -2 \
>     --keyUsage certSigning \
>     --nsCertType sslCA,smimeCA,objectSigningCA \
>     -f $CADIR/mypass1


Generating key.  This may take a few moments...

Is this a CA certificate [y/N]?
Enter the path length constraint, enter to skip [<0 for unlimited path]: > Is this a critical extension [y/N]?
Notice: Trust flag u is set automatically if the private key is present.
[root@rhel7-1 RootCA]# 
[root@rhel7-1 RootCA]# SERNUM=$(( SERNUM += 1 ))
[root@rhel7-1 RootCA]# echo -e "y\n10\ny\n" | \
> certutil -C -d $CADIR \
>     -c RootCA \
>     -m $SERNUM \
>     -v 60 \
>     -2 \
>     --keyUsage digitalSignature,nonRepudiation,certSigning \
>     --nsCertType sslCA,smimeCA,objectSigningCA \
>     -i /root/ipa.csr \
>     -o /root/ipa.crt \
>     -f $CADIR/mypass1 \
>     -a
Is this a CA certificate [y/N]?
Enter the path length constraint, enter to skip [<0 for unlimited path]: > Is this a critical extension [y/N]?
[root@rhel7-1 RootCA]# 
[root@rhel7-1 RootCA]# certutil -L -d $CADIR -n "RootCA" -a >> /root/ipacacert.asc
[root@rhel7-1 RootCA]# 
[root@rhel7-1 RootCA]# cd  /root
[root@rhel7-1 ~]# ipa-server-install -a Secret123 -p Secret123     --external-cert-file=/root/ipa.crt \
>     --external-cert-file=/root/ipacacert.asc -U
Usage: ipa-server-install [options]

ipa-server-install: error: In unattended mode you need to provide at least -r, -p and -a options
[root@rhel7-1 ~]# 
[root@rhel7-1 ~]# ipa-server-install -a Secret123 -p Secret123 -r EXAMPLE.COM --external-cert-file=/root/ipa.crt     --external-cert-file=/root/ipacacert.asc -U

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)
  * Configure DNS (bind)

Warning: skipping DNS resolution of host rhel7-1.example.com
Checking forwarders, please wait ...
WARNING: DNS forwarder 192.168.122.1 does not return DNSSEC signatures in answers
Please fix forwarder configuration to enable DNSSEC support.
(For BIND 9 add directive "dnssec-enable yes;" to "options {}")
Using reverse zone(s) 122.168.192.in-addr.arpa.

The IPA Master Server will be configured with:
Hostname:       rhel7-1.example.com
IP address(es): 192.168.122.71
Domain name:    example.com
Realm name:     EXAMPLE.COM

BIND DNS server will be configured to serve IPA domain with:
Forwarders:    192.168.122.1
Reverse zone(s):  122.168.192.in-addr.arpa.

Configuring certificate server (pki-tomcatd): Estimated time 3 minutes 30 seconds
  [1/27]: creating certificate server user
  [2/27]: configuring certificate server instance
  [3/27]: stopping certificate server instance to update CS.cfg
  [4/27]: backing up CS.cfg
  [5/27]: disabling nonces
  [6/27]: set up CRL publishing
  [7/27]: enable PKIX certificate path discovery and validation
  [8/27]: starting certificate server instance
  [9/27]: creating RA agent certificate database
  [10/27]: importing CA chain to RA certificate database
  [11/27]: fixing RA database permissions
  [12/27]: setting up signing cert profile
  [13/27]: set certificate subject base
  [14/27]: enabling Subject Key Identifier
  [15/27]: enabling Subject Alternative Name
  [16/27]: enabling CRL and OCSP extensions for certificates
  [17/27]: setting audit signing renewal to 2 years
  [18/27]: configuring certificate server to start on boot
  [19/27]: restarting certificate server
  [20/27]: requesting RA certificate from CA
  [21/27]: issuing RA agent certificate
  [22/27]: adding RA agent as a trusted user
  [23/27]: configure certmonger for renewals
  [24/27]: configure certificate renewals
  [25/27]: configure RA certificate renewal
  [26/27]: configure Server-Cert certificate renewal
  [27/27]: Configure HTTP to proxy connections
Done configuring certificate server (pki-tomcatd).
Configuring directory server (dirsrv): Estimated time 10 seconds
  [1/3]: configuring ssl for ds instance
  [2/3]: restarting directory server
  [3/3]: adding CA certificate entry
Done configuring directory server (dirsrv).
Configuring Kerberos KDC (krb5kdc): Estimated time 30 seconds
  [1/10]: adding sasl mappings to the directory
  [2/10]: adding kerberos container to the directory
  [3/10]: configuring KDC
  [4/10]: initialize kerberos container
  [5/10]: adding default ACIs
  [6/10]: creating a keytab for the directory
  [7/10]: creating a keytab for the machine
  [8/10]: adding the password extension to the directory
  [9/10]: starting the KDC
  [10/10]: configuring KDC to start on boot
Done configuring Kerberos KDC (krb5kdc).
Configuring kadmin
  [1/2]: starting kadmin 
  [2/2]: configuring kadmin to start on boot
Done configuring kadmin.
Configuring ipa_memcached
  [1/2]: starting ipa_memcached 
  [2/2]: configuring ipa_memcached to start on boot
Done configuring ipa_memcached.
Configuring ipa-otpd
  [1/2]: starting ipa-otpd 
  [2/2]: configuring ipa-otpd to start on boot
Done configuring ipa-otpd.
Configuring the web interface (httpd): Estimated time 1 minute
  [1/16]: setting mod_nss port to 443
  [2/16]: setting mod_nss protocol list to TLSv1.0 - TLSv1.1
  [3/16]: setting mod_nss password file
  [4/16]: enabling mod_nss renegotiate
  [5/16]: adding URL rewriting rules
  [6/16]: configuring httpd
  [7/16]: configure certmonger for renewals
  [8/16]: setting up ssl
  [9/16]: importing CA certificates from LDAP
  [10/16]: setting up browser autoconfig
  [11/16]: publish CA cert
  [12/16]: creating a keytab for httpd
  [13/16]: clean up any existing httpd ccache
  [14/16]: configuring SELinux for httpd
  [15/16]: restarting httpd
  [16/16]: configuring httpd to start on boot
Done configuring the web interface (httpd).
Applying LDAP updates
Restarting Directory server to apply updates
  [1/2]: stopping directory server
  [2/2]: starting directory server
Done.
Restarting the directory server
Restarting the KDC
Restarting the certificate server
Configuring DNS (named)
  [1/12]: generating rndc key file
  [2/12]: adding DNS container
  [3/12]: setting up our zone
  [4/12]: setting up reverse zone
  [5/12]: setting up our own record
  [6/12]: setting up records for other masters
  [7/12]: adding NS record to the zones
  [8/12]: setting up CA record
  [9/12]: setting up kerberos principal
  [10/12]: setting up named.conf
  [11/12]: configuring named to start on boot
  [12/12]: changing resolv.conf to point to ourselves
Done configuring DNS (named).
Restarting named

Global DNS configuration in LDAP server is empty
You can use 'dnsconfig-mod' command to set global DNS options that
would override settings in local named.conf files

Restarting the web server
==============================================================================
Setup complete

Next steps:
	1. You must make sure these network ports are open:
		TCP Ports:
		  * 80, 443: HTTP/HTTPS
		  * 389, 636: LDAP/LDAPS
		  * 88, 464: kerberos
		  * 53: bind
		UDP Ports:
		  * 88, 464: kerberos
		  * 53: bind
		  * 123: ntp

	2. You can now obtain a kerberos ticket using the command: 'kinit admin'
	   This ticket will allow you to use the IPA tools (e.g., ipa user-add)
	   and the web user interface.

Be sure to back up the CA certificate stored in /root/cacert.p12
This file is required to create replicas. The password for this
file is the Directory Manager password

Comment 21 Scott Poore 2015-01-23 15:31:00 UTC
David pointed out that I needed to test with a global IPv6 address and I do see a different output.


The first part of the ipa-server-install here shows the difference.  It includes both address when I use a global instead of link-level IPv6 address. 

[root@rhel7-2 ~]# ip addr show
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 52:54:00:62:97:96 brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.72/24 brd 192.168.122.255 scope global eth0
       valid_lft forever preferred_lft forever
    inet6 2001:470:67:0:230:1bff:fe82:cb42/64 scope global 
       valid_lft forever preferred_lft forever
    inet6 fe80::5054:ff:fe62:9796/64 scope link 
       valid_lft forever preferred_lft forever
[root@rhel7-2 ~]# hostname -i
2001:470:67:0:230:1bff:fe82:cb42 192.168.122.72
[root@rhel7-2 ~]# ipa-server-install --setup-dns --forwarder=192.168.122.1 -r EXAMPLE.COM -a Secret123 -p Secret123 --external-ca

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)
  * Configure DNS (bind)

To accept the default shown in brackets, press the Enter key.

Existing BIND configuration detected, overwrite? [no]: yes
Enter the fully qualified domain name of the computer
on which you're setting up server software. Using the form
<hostname>.<domainname>
Example: master.example.com.


Server host name [rhel7-2.example.com]: 

Warning: skipping DNS resolution of host rhel7-2.example.com
The domain name has been determined based on the host name.

Please confirm the domain name [example.com]: 

Adding [2001:470:67:0:230:1bff:fe82:cb42 rhel7-2.example.com] to your /etc/hosts file
Adding [192.168.122.72 rhel7-2.example.com] to your /etc/hosts file
Checking forwarders, please wait ...
WARNING: DNS forwarder 192.168.122.1 does not return DNSSEC signatures in answers
Please fix forwarder configuration to enable DNSSEC support.
(For BIND 9 add directive "dnssec-enable yes;" to "options {}")
WARNING: DNSSEC validation will be disabled
Do you want to configure the reverse zone? [yes]: 
Please specify the reverse zone name [0.0.0.0.7.6.0.0.0.7.4.0.1.0.0.2.ip6.arpa.]: 
Please specify the reverse zone name [122.168.192.in-addr.arpa.]: 
Using reverse zone(s) 0.0.0.0.7.6.0.0.0.7.4.0.1.0.0.2.ip6.arpa., 122.168.192.in-addr.arpa.

The IPA Master Server will be configured with:
Hostname:       rhel7-2.example.com
IP address(es): 2001:470:67:0:230:1bff:fe82:cb42, 192.168.122.72
Domain name:    example.com
Realm name:     EXAMPLE.COM

BIND DNS server will be configured to serve IPA domain with:
Forwarders:    192.168.122.1
Reverse zone(s):  0.0.0.0.7.6.0.0.0.7.4.0.1.0.0.2.ip6.arpa., 122.168.192.in-addr.arpa.

Continue to configure the system with these values? [no]: yes

The following operations may take some minutes to complete.
Please wait until the prompt is returned.

Configuring NTP daemon (ntpd)
  [1/4]: stopping ntpd
  [2/4]: writing configuration
  [3/4]: configuring ntpd to start on boot
  [4/4]: starting ntpd
Done configuring NTP daemon (ntpd).
Configuring directory server (dirsrv): Estimated time 1 minute
  [1/38]: creating directory server user
  [2/38]: creating directory server instance
  [3/38]: adding default schema
  [4/38]: enabling memberof plugin
  [5/38]: enabling winsync plugin
  [6/38]: configuring replication version plugin
  [7/38]: enabling IPA enrollment plugin
  [8/38]: enabling ldapi
  [9/38]: configuring uniqueness plugin
  [10/38]: configuring uuid plugin
  [11/38]: configuring modrdn plugin
  [12/38]: configuring DNS plugin
  [13/38]: enabling entryUSN plugin
  [14/38]: configuring lockout plugin
  [15/38]: creating indices
  [16/38]: enabling referential integrity plugin
  [17/38]: configuring certmap.conf
  [18/38]: configure autobind for root
  [19/38]: configure new location for managed entries
  [20/38]: configure dirsrv ccache
  [21/38]: enable SASL mapping fallback
  [22/38]: restarting directory server
  [23/38]: adding default layout
  [24/38]: adding delegation layout
  [25/38]: creating container for managed entries
  [26/38]: configuring user private groups
  [27/38]: configuring netgroups from hostgroups
  [28/38]: creating default Sudo bind user
  [29/38]: creating default Auto Member layout
  [30/38]: adding range check plugin
  [31/38]: creating default HBAC rule allow_all
  [32/38]: initializing group membership
  [33/38]: adding master entry
  [34/38]: configuring Posix uid/gid generation
  [35/38]: adding replication acis
  [36/38]: enabling compatibility plugin
  [37/38]: tuning directory server
  [38/38]: configuring directory to start on boot
Done configuring directory server (dirsrv).
Configuring certificate server (pki-tomcatd): Estimated time 3 minutes 30 seconds
  [1/8]: creating certificate server user
  [2/8]: configuring certificate server instance
The next step is to get /root/ipa.csr signed by your CA and re-run /usr/sbin/ipa-server-install as:
/usr/sbin/ipa-server-install --external-cert-file=/path/to/signed_certificate --external-cert-file=/path/to/external_ca_certificate


Now setup test external NSSDB CA:

[root@rhel7-2 ~]# CADIR=/root/RootCA
[root@rhel7-2 ~]# mkdir $CADIR
[root@rhel7-2 ~]# cd $CADIR
[root@rhel7-2 RootCA]# rm  -f *
[root@rhel7-2 RootCA]# echo Secret123 > $CADIR/mypass1
[root@rhel7-2 RootCA]# certutil -N -d $CADIR -f $CADIR/mypass1
[root@rhel7-2 RootCA]# 
[root@rhel7-2 RootCA]# SERNUM=$RANDOM
[root@rhel7-2 RootCA]# 
[root@rhel7-2 RootCA]# SERNUM=$(( SERNUM += 1 ))
[root@rhel7-2 RootCA]# echo -e "y\n10\ny\n" | \
> certutil -S -d $CADIR \
>     -n RootCA \
>     -s "CN=MyRootCA, O=fakerealm1" \
>     -x \
>     -t "CTu,CTu,CTu" \
>     -g 2048 \
>     -m $SERNUM\
>     -v 60 \
>     -z /etc/group \
>     -2 \
>     --keyUsage certSigning \
>     --nsCertType sslCA,smimeCA,objectSigningCA \
>     -f $CADIR/mypass1


Generating key.  This may take a few moments...

Is this a CA certificate [y/N]?
Enter the path length constraint, enter to skip [<0 for unlimited path]: > Is this a critical extension [y/N]?
Notice: Trust flag u is set automatically if the private key is present.
[root@rhel7-2 RootCA]# 
[root@rhel7-2 RootCA]# SERNUM=$(( SERNUM += 1 ))
[root@rhel7-2 RootCA]# echo -e "y\n10\ny\n" | \
> certutil -C -d $CADIR \
>     -c RootCA \
>     -m $SERNUM \
>     -v 60 \
>     -2 \
>     --keyUsage digitalSignature,nonRepudiation,certSigning \
>     --nsCertType sslCA,smimeCA,objectSigningCA \
>     -i /root/ipa.csr \
>     -o /root/ipa.crt \
>     -f $CADIR/mypass1 \
>     -a
Is this a CA certificate [y/N]?
Enter the path length constraint, enter to skip [<0 for unlimited path]: > Is this a critical extension [y/N]?
[root@rhel7-2 RootCA]# 
[root@rhel7-2 RootCA]# certutil -L -d $CADIR -n "RootCA" -a >> /root/ipacacert.asc
[root@rhel7-2 RootCA]# 
[root@rhel7-2 RootCA]# cd  /root
[root@rhel7-2 ~]# 
[root@rhel7-2 ~]# 
[root@rhel7-2 ~]# 
[root@rhel7-2 ~]# 
[root@rhel7-2 ~]# 
[root@rhel7-2 ~]# 

And final ipa-server-install:

[root@rhel7-2 ~]# ipa-server-install --setup-dns --forwarder=192.168.122.1 \
>     -r EXAMPLE.COM -a Secret123 -p Secret123 \
>     --external-cert-file=/root/ipa.crt \
>     --external-cert-file=/root/ipacacert.asc -U

The log file for this installation can be found in /var/log/ipaserver-install.log
==============================================================================
This program will set up the IPA Server.

This includes:
  * Configure a stand-alone CA (dogtag) for certificate management
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Key Distribution Center (KDC)
  * Configure Apache (httpd)
  * Configure DNS (bind)

Warning: skipping DNS resolution of host rhel7-2.example.com
Checking forwarders, please wait ...
WARNING: DNS forwarder 192.168.122.1 does not return DNSSEC signatures in answers
Please fix forwarder configuration to enable DNSSEC support.
(For BIND 9 add directive "dnssec-enable yes;" to "options {}")
Using reverse zone(s) 0.0.0.0.7.6.0.0.0.7.4.0.1.0.0.2.ip6.arpa., 122.168.192.in-addr.arpa.

The IPA Master Server will be configured with:
Hostname:       rhel7-2.example.com
IP address(es): 2001:470:67:0:230:1bff:fe82:cb42, 192.168.122.72
Domain name:    example.com
Realm name:     EXAMPLE.COM

BIND DNS server will be configured to serve IPA domain with:
Forwarders:    192.168.122.1
Reverse zone(s):  0.0.0.0.7.6.0.0.0.7.4.0.1.0.0.2.ip6.arpa., 122.168.192.in-addr.arpa.

Configuring certificate server (pki-tomcatd): Estimated time 3 minutes 30 seconds
  [1/27]: creating certificate server user
  [2/27]: configuring certificate server instance
  [3/27]: stopping certificate server instance to update CS.cfg
  [4/27]: backing up CS.cfg
  [5/27]: disabling nonces
  [6/27]: set up CRL publishing
  [7/27]: enable PKIX certificate path discovery and validation
  [8/27]: starting certificate server instance
  [9/27]: creating RA agent certificate database
  [10/27]: importing CA chain to RA certificate database
  [11/27]: fixing RA database permissions
  [12/27]: setting up signing cert profile
  [13/27]: set certificate subject base
  [14/27]: enabling Subject Key Identifier
  [15/27]: enabling Subject Alternative Name
  [16/27]: enabling CRL and OCSP extensions for certificates
  [17/27]: setting audit signing renewal to 2 years
  [18/27]: configuring certificate server to start on boot
  [19/27]: restarting certificate server
  [20/27]: requesting RA certificate from CA
  [21/27]: issuing RA agent certificate
  [22/27]: adding RA agent as a trusted user
  [23/27]: configure certmonger for renewals
  [24/27]: configure certificate renewals
  [25/27]: configure RA certificate renewal
  [26/27]: configure Server-Cert certificate renewal
  [27/27]: Configure HTTP to proxy connections
Done configuring certificate server (pki-tomcatd).
Configuring directory server (dirsrv): Estimated time 10 seconds
  [1/3]: configuring ssl for ds instance
  [2/3]: restarting directory server
  [3/3]: adding CA certificate entry
Done configuring directory server (dirsrv).
Configuring Kerberos KDC (krb5kdc): Estimated time 30 seconds
  [1/10]: adding sasl mappings to the directory
  [2/10]: adding kerberos container to the directory
  [3/10]: configuring KDC
  [4/10]: initialize kerberos container
  [5/10]: adding default ACIs
  [6/10]: creating a keytab for the directory
  [7/10]: creating a keytab for the machine
  [8/10]: adding the password extension to the directory
  [9/10]: starting the KDC
  [10/10]: configuring KDC to start on boot
Done configuring Kerberos KDC (krb5kdc).
Configuring kadmin
  [1/2]: starting kadmin 
  [2/2]: configuring kadmin to start on boot
Done configuring kadmin.
Configuring ipa_memcached
  [1/2]: starting ipa_memcached 
  [2/2]: configuring ipa_memcached to start on boot
Done configuring ipa_memcached.
Configuring ipa-otpd
  [1/2]: starting ipa-otpd 
  [2/2]: configuring ipa-otpd to start on boot
Done configuring ipa-otpd.
Configuring the web interface (httpd): Estimated time 1 minute
  [1/16]: setting mod_nss port to 443
  [2/16]: setting mod_nss protocol list to TLSv1.0 - TLSv1.1
  [3/16]: setting mod_nss password file
  [4/16]: enabling mod_nss renegotiate
  [5/16]: adding URL rewriting rules
  [6/16]: configuring httpd
  [7/16]: configure certmonger for renewals
  [8/16]: setting up ssl
  [9/16]: importing CA certificates from LDAP
  [10/16]: setting up browser autoconfig
  [11/16]: publish CA cert
  [12/16]: creating a keytab for httpd
  [13/16]: clean up any existing httpd ccache
  [14/16]: configuring SELinux for httpd
  [15/16]: restarting httpd
  [16/16]: configuring httpd to start on boot
Done configuring the web interface (httpd).
Applying LDAP updates
Restarting Directory server to apply updates
  [1/2]: stopping directory server
  [2/2]: starting directory server
Done.
Restarting the directory server
Restarting the KDC
Restarting the certificate server
Configuring DNS (named)
  [1/12]: generating rndc key file
  [2/12]: adding DNS container
  [3/12]: setting up our zone
  [4/12]: setting up reverse zone
  [5/12]: setting up our own record
  [6/12]: setting up records for other masters
  [7/12]: adding NS record to the zones
  [8/12]: setting up CA record
  [9/12]: setting up kerberos principal
  [10/12]: setting up named.conf
  [11/12]: configuring named to start on boot
  [12/12]: changing resolv.conf to point to ourselves
Done configuring DNS (named).
Restarting named

Global DNS configuration in LDAP server is empty
You can use 'dnsconfig-mod' command to set global DNS options that
would override settings in local named.conf files

Restarting the web server
==============================================================================
Setup complete

Next steps:
	1. You must make sure these network ports are open:
		TCP Ports:
		  * 80, 443: HTTP/HTTPS
		  * 389, 636: LDAP/LDAPS
		  * 88, 464: kerberos
		  * 53: bind
		UDP Ports:
		  * 88, 464: kerberos
		  * 53: bind
		  * 123: ntp

	2. You can now obtain a kerberos ticket using the command: 'kinit admin'
	   This ticket will allow you to use the IPA tools (e.g., ipa user-add)
	   and the web user interface.

Be sure to back up the CA certificate stored in /root/cacert.p12
This file is required to create replicas. The password for this
file is the Directory Manager password


afterwards, I can also see both IPv4 and IPv6 addresses:

[root@rhel7-2 ~]# kinit admin
Password for admin@EXAMPLE.COM: 
[root@rhel7-2 ~]# ipa dnszone-find
  Zone name: 122.168.192.in-addr.arpa.
  Active zone: TRUE
  Authoritative nameserver: rhel7-2.example.com.
  Administrator e-mail address: hostmaster.example.com.
  SOA serial: 1422026163
  SOA refresh: 3600
  SOA retry: 900
  SOA expire: 1209600
  SOA minimum: 3600
  Allow query: any;
  Allow transfer: none;

  Zone name: 0.0.0.0.7.6.0.0.0.7.4.0.1.0.0.2.ip6.arpa.
  Active zone: TRUE
  Authoritative nameserver: rhel7-2.example.com.
  Administrator e-mail address: hostmaster.example.com.
  SOA serial: 1422026163
  SOA refresh: 3600
  SOA retry: 900
  SOA expire: 1209600
  SOA minimum: 3600
  Allow query: any;
  Allow transfer: none;

  Zone name: example.com.
  Active zone: TRUE
  Authoritative nameserver: rhel7-2.example.com.
  Administrator e-mail address: hostmaster.example.com.
  SOA serial: 1422026173
  SOA refresh: 3600
  SOA retry: 900
  SOA expire: 1209600
  SOA minimum: 3600
  Allow query: any;
  Allow transfer: none;
----------------------------
Number of entries returned 3
----------------------------
[root@rhel7-2 ~]# ipa dnsrecord-find example.com
  Record name: @
  NS record: rhel7-2.example.com.

  Record name: _kerberos
  TXT record: EXAMPLE.COM

  Record name: _kerberos._tcp
  SRV record: 0 100 88 rhel7-2

  Record name: _kerberos-master._tcp
  SRV record: 0 100 88 rhel7-2

  Record name: _kpasswd._tcp
  SRV record: 0 100 464 rhel7-2

  Record name: _ldap._tcp
  SRV record: 0 100 389 rhel7-2

  Record name: _kerberos._udp
  SRV record: 0 100 88 rhel7-2

  Record name: _kerberos-master._udp
  SRV record: 0 100 88 rhel7-2

  Record name: _kpasswd._udp
  SRV record: 0 100 464 rhel7-2

  Record name: _ntp._udp
  SRV record: 0 100 123 rhel7-2

  Record name: ipa-ca
  A record: 192.168.122.72
  AAAA record: 2001:470:67:0:230:1bff:fe82:cb42

  Record name: rhel7-2
  A record: 192.168.122.72
  AAAA record: 2001:470:67:0:230:1bff:fe82:cb42
  SSHFP record: 1 2 4604AC4632E3D4C172CB7CFC3D0157337D1821340C59C5687053124C BEA2EC55, 3 1
                5FA2E2747205325E1920207587BD15F36C0BE2AE, 1 1 3EACC69F36AFF1F37AEA182FD97E88B46242F955,
                3 2 EDCDC69F4A07C1F3542BFDA7848A8831E8BFA55D6BDF8F45B859A089 E3A0A4F9
-----------------------------
Number of entries returned 12
-----------------------------

Also, my ifcfg-eth0 for this test:

[root@rhel7-2 ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth0
# Generated by dracut initrd
NAME="eth0"
ONBOOT=yes
NETBOOT=yes
IPV6INIT=yes
BOOTPROTO=static
TYPE=Ethernet
IPADDR=192.168.122.72
NETMAST=255.255.255.0
GATEWAY=192.168.122.1
DNS1=192.168.122.1
IPV6ADDR=2001:470:67::230:1bff:fe82:cb42


And /etc/hosts entry on the KVM host:

$ grep rhel7-2 /etc/hosts
192.168.122.72  rhel7-2.example.com rhel7-2
2001:470:67::230:1bff:fe82:cb42 rhel7-2.example.com rhel7-2

Comment 23 errata-xmlrpc 2015-03-05 10:13:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0442.html


Note You need to log in before you can comment on or make changes to this bug.